<?php require $_SERVER['DOCUMENT_ROOT'].'/hethong/config.php';?>
<?php
$ngayxoa = 1/2; //ngày này tính từ ngày mà tên miền hết hạn sẽ tự động xoá
$hethan = 86400 * $ngayxoa;
$now = time(); // Khai báo và gán giá trị cho $now
$check_mien3 = $ketnoi->query("SELECT * FROM `history_subdomain` WHERE `status` ='hethan' ");
while ($mien3 = $check_mien3->fetch_array()) {
    $duoi_mien3 = $mien3['duoimien'];
    $mien_api3 = $ketnoi->query("SELECT * FROM `khodomain` WHERE `duoimien` = '$duoi_mien3' ")->fetch_array();
    if ($now - $mien3['ngayhet'] > 15) {
        $api_key = $tozpie['api_cf'];
        $email = $tozpie['email_cf'];
        $zone_id3 = $mien_api3['zone_id']; // ID của vùng chứa tên miền chính

        // Thông tin bản ghi DNS cần xoá
        $record_id3 = $mien3['record_id']; // ID của bản ghi DNS cần xoá

        $ch3 = curl_init();
        curl_setopt($ch3, CURLOPT_URL, "https://api.cloudflare.com/client/v4/zones/".$zone_id3."/dns_records/".$record_id3);
        curl_setopt($ch3, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch3, CURLOPT_CUSTOMREQUEST, 'DELETE');
        curl_setopt($ch3, CURLOPT_HTTPHEADER, array(
            "X-Auth-Email: " . $email,
            "X-Auth-Key: " . $api_key,
            "Content-Type: application/json"
        ));

        // Gửi yêu cầu API đến Cloudflare
        $response3 = curl_exec($ch3);
        curl_close($ch3);
        $result3 = json_decode($response3, true);
        $create = mysqli_query($ketnoi, "DELETE FROM `history_subdomain` WHERE `status` = 'hethan'");
    }
}
?>
